/*
 * Project Name:upay-sdk-web
 * File Name:QueryServlet.java
 * Package Name:com.upay.sdk.onlinepay.v_2.QueryServlet
 * Date:2016-08-15 15:53:11
 * Copyright (c) 2016, upay All Rights Reserved.
 */

package com.upay.sdk.cashier;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

public class UserIpServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String userIp = "";

        final PrintWriter out = resp.getWriter();
        try {
            userIp = IpUtils.getIpAddr(req);
            out.println("用户IP地址：" + userIp);
            out.println("<br/>注意：下单接口中上传的ip地址不能为本地环境的IP，需要上传互联网出口IP地址");
        } catch (Exception e) {
            e.printStackTrace();
            out.println("未知异常</br>");
            out.println(e.toString());
        }
    }
}
